% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc.R
\name{groupStatI}
\alias{groupStatI}
\title{Perform Summary Analysis by Group Using an column Index}
\usage{
groupStatI(f, x, idx)
}
\arguments{
\item{f}{A function that takes a single argument and returns a summary of the data.}

\item{x}{A data frame or matrix containing the data to be summarized.}

\item{idx}{A list of indices or group names that define the column groups.}
}
\value{
A list containing the summary statistics for each group.
}
\description{
This function applies a specified function to each group defined by an column index,
and returns a summary of the results. It is useful for summarizing data by
group when the groups are defined by an  column index.
}
\examples{
library(easybio)
groupStatI(f = \(x) x + 1, x = mtcars, idx = list(c(1, 10), 2))
}
